EVENT
BOARDSIZE 19
COM
....................... !                     ! ! To get started with ! !
game & commentary:- ! !.   . .   .   . .   .! !  Hit down/up arrow  ! !  for
forward/ back  ! !.   . .   .   . .   .! !  PgUp/Dn to jump10  ! !  Home/End
to ends.  ! !.   . .  . .  . .   .! !  Right arrow -> for ! !  more
information   ! !  where indicated.   ! !.....................! 
ENDCOM
B 1 r16
COM
B1:  A board corner is the easiest place to defend because the board edges
make two sides of potential eye-space to begin with. So it is very common to
see each of the first four moves in a separate corner. Black #1 is on a
`3-4' point.  This is the most common opening move because it has several
good follow-up moves. ........................Note: Lines are counted inward
from the nearest edges. This includes the edge-of-the-board line.  (01/95)

ENDCOM
W 2 c17
MARK All
UNMARK r16
COM
W2  The 3-3 point move      in an empty corner  like this is good for
territory.  One move makes a very secure situation for White.
.................... Note: Although this tight-in-the-corner move makes the
corner hard for Black to attack, it has weak "influence".
------------------------ Use -> for definitions ------------------------

ENDCOM
  VAR
  DIAGRAM
  SETUP W c17
  COM
  "Influence": The impact which a stone may have on near-by board points.
  This is generated by strongly cooperating stones.  Such stones  may
  participate in enclosing future ter- ritory but they are primarily useful
  in limiting the opponent's options for good moves in the near-by area.
  
  ----------------------- Use <- for back to main -----------------------
  
  ENDCOM
  ENDVAR

B 3 q3
MARK W@r5 B@q8 q3 3@q3 r16
COM
B3  This move cooperates    nicely with B1.     ..................... Note:
If White were to approach B3 at `r5', marked `W', (a common corner approach
move), Black could then `squeeze' White `W' by playing at `B'. This move is
a proper ext-  ension from B1 above. It leaves very little room between `B'
and `1' for White to form a `base'.  ----------------------- Use -> for
definitions. -----------------------

ENDCOM
  VAR
  DIAGRAM
  SETUP B q3
  MARK 3@q3 W@r5 B@q8
  COM
  Definitions:-
  
  "Squeeze" = A play which confines an enemy stone or stones in a manner
  which makes it difficult for him to do what he would like to do next.
  
  "Base" = A loosely enclosed area which has the potential to form two eyes
  when needed, usually between a group of stones and the edge of the board.
  
  ----------------------- Use <- for back to game ----------------------- 
  ENDCOM
  ENDVAR

W 4 d3
COM
W4 The last corner.   Getting the first move in an open corner is top
priority at the start. ...................... Note: Each corner move is
placed where it can easily make a "base" when attacked on one side, by
moving out to the other side to start forming a "base" there.

ENDCOM
B 5 p17
MARK r16
COM
B5  This `knights move'     from B1, called "Keima", (pronounced key-ayma)
makes an ideal shape in the corner. ....................... Note: This
corner form- ation can make two eyes easily. But more impor- tant is it's
`influence' *Influence*: The impact a stone has on near-by board points.
This is generated by strong and cooperating stones. It may turn into
territory but it is most useful in limiting the opponent's options for good
moves. 
ENDCOM
W 6 r5
MARK w@r8 W@s3 x@s3 y@q4 z@r8 W@q5 All
UNMARK r16 c17 q3 d3 p17
COM
W6  This approach move      is normal in this situation.  It keeps  one line
away from the Black stone. ....................... Note: W6 was played low,
on the 3rd line,  so White can now create a base along the right side
whenever that might seem appropriate.      This `low move', as opposed to
`W', leaves the corner open to a later attack by White, at `x' or at `y'. 
ENDCOM
B 7 q9
MARK d14 d14 \t@p17 \t@r16
COM
B7  Squeezes White's        single stone below. .................... Note:
B7 cooperates nicely with the two marked Black stones above.  This restricts
any White attempt to   make a base on the  right side between B7 and the two
marked Black stones.  Hence this is called a "squeeze" play.

ENDCOM
W 8 q4
MARK A@p3
COM
W8  This is the best        approach to building a White base in the lower
right corner.    This is a "Sente" move. ........................Note: Black
must respond because otherwise White could easily grab the whole lower right
corner by playing at `A'.

*Sente* (spoken: senteh) A move which is so threatening to the opponent that
he needs to respond defensively. Thus the attacker keeps the initiative.

ENDCOM
B 9 p3
MARK \t@q3 W@r3 q4
COM
B9  Black saves his threatened stone.  He can now safely create   a base
along the bottom. ................... Note:  White 8 was "sente" because it
took a liberty away from the lone marked Black stone. An answer by Black was
urgent.  Without the extra liberties which Black gained from this attachment
White could have attacked the marked Black stone, at `W' for instance, or
even at the B9  point, and thus have taken the whole corner.

ENDCOM
W 10 r3
MARK q4
COM
W10  This was a key point for both players. Whoever got there first would
have a  secure "base" in the corner.   ....................... Note: White
was able to get this move in ahead of Black because he forced a Black
defense with his W8 move.

ENDCOM
B 11 r2
MARK B@s3 B@s4 C@s3 r3
COM
B11 A Key move as Black     still needs a base.
........................Note: Black gets part  of the corner and aims to
form a base along  the bottom edge of the board.  This Black move is Sente.
It threatens to attack W10 at `B' or at `C'.  That would make it very hard
for White to make a base here.

ENDCOM
W 12 s3
COM
W12  The only proper         move. It assures  eye space for White in the
lower right.        ......................  Note: Otherwise Black could
seriously   squeeze out White's     important corner base  by playing at W12
next.

ENDCOM
B 13 m3
COM
B13  This is a key point     as it is necessary for Black to assure a base
along the bottom. ....................... Note: Given the chance, a White
squeeze-move here at this B13 point before Black played there would have
been devastating to Black.     - -              - - *Each player must always
be alert to the threat of such a squeeze move  early in the game. 
ENDCOM
W 14 c5
MARK p17 s3
COM
W14  This is a big move. It is comparable to B5 in the upper right.
..................... Note:  Keeping sente   with W12 in the lower right
encounter made this White lower left initiative possible. 
ENDCOM
B 15 f16
MARK A@f17 d14 B@d14 \t@p17 \t@r16 \s@c17 B@e17 C@d14
COM
B15  Common approach to  a single opposing stone at the 3-3 point. (B15 at
`A' or `B' would be equally effective here.) ...................... Note:
the option of B15 at `C' right now would be very effective in disrupting
potential White territory along the left side, but Black's potential along
the top is greater because B15 cooperates well with the upper right marked \t
stones. 
ENDCOM
W 16 d14
MARK \t@c5 \t@d3 \s@c5 \s@d3 c17
COM
W16  White must now move     out away from W2 to     assure a base here.
..................... Note: W16 cooperates nicely with the two marked White
`\s' stones below. (If Black had gotten to the W16 point before White he
could have squeezed White into a very small corner area, and thus also
reduced White's potential along the left side. 
ENDCOM
B 17 j16
MARK \t@p17 \t@r16 f16
COM
B17  An ideal two space extension from B15 and the "five line space" from
B17 to the nearest upper right marked Black stone is perfect.
...................... Note:  Taken together with the two marked Black
stones in the upper right corner, White's options for future invasion along
the top side already appear to be severely restricted. 
ENDCOM
W 18 r11
MARK q9 W@p11 B@q9 q9
COM
W18 This move makes a   good start at elimin- ating  Black's potential along
the right side.  ...................    Note: This move is Sente. It obliges
Black to answer because it threatens B7. (If Black were to play elsewhere
now and White played at "W" Black would be in real trouble because there
would be almost no room for him to make a base along the right side. 
ENDCOM
B 19 r13
MARK W@d10 r11
COM
B19  This is a valuable      move.  It squeezes W18 and greatly improves
Black's upper right influence.    ...................... Note: It's White's
turn. He could now abandon W18 and play at `W' instead. This would tend to
equalize opposite sides of the board.  . 
ENDCOM
W 20 p4
MARK p18 A@o3 \s@p3 \s@q3 \t@p3 \t@q3 *@q9
COM
W20 This is good timing.    White's right side group has been in need of
help.  This move is Sente. White is now much more secure. W20 takes away a
liberty from the two marked Black stones. .................... Note: Black's
whole corner group is threat- ened now.

ENDCOM
  VAR
  DIAGRAM
  SETUP W p4
  MARK 20@p4
  SETUP W s1
  MARK \t@p3 \t@q3 \t@r2
  SETUP W o3
  MARK W@o3
  COM
  If White gets a chance to play at `W' he can collapse Black's whole corner
  group marked `\t'.     .          . ----------------------- Use -> for
  more detail ----------------------- 
  ENDCOM
  ENDVAR

B 21 o4
MARK \t@m3 \t@p3 \t@q3 \t@r2
COM
B21  This is necessary  because Black's lower right group would be
vulnerable otherwise.   ......................  Note: Black's move on the
4th line has the advantage of restraining White's thrust toward the center.
(i.e: It gives Black more upward influence.) 
ENDCOM
W 22 o5
MARK w@o3 W@o3 A@o3 o4
COM
W22  This is a forcing move.  Black is vulner- able to attack at `A'.
.....................   Note:  This is a `lean- ing' attack. It reduces the
B21 liberties.  If Black were to play else- where now a White move at "A"
could destroy Black's whole corner.  So Black must respond.      .       . .
*Leaning*:  Making con- tact with an opponent's stone in a way that obliges
the opponent to answer, and/or which keeps him from extending in an unwanted
way. 
ENDCOM
B 23 n4
MARK q2 s2 d9 o4
COM
B23  Necessary because       of cutting point problems if B21 were left
undefended.        .................... Note:  Black 21 was  short of
liberties and vulnerable.  Now Black  has strengthened his base and his
outward influence considerably with this single move.     .       .       .
(The attack point shown shown in the previous screen is no longer
effective.) .        . 
ENDCOM
W 24 p11
MARK \t@q9 \s@p17 \s@r16 \s@r13 B@p17 B@r16 B@r13 \s@p17 \s@r16 \s@r13
MARK r11 *@q9 \t@p17 \t@r16 \t@r13
COM
W24 An important move which squeezes and attacks the marked Black stone `*',
and saves W18 by extending toward the center.    .     . 
ENDCOM
B 25 o8
MARK \t@q9
COM
B25  Black now must    move out toward the center.  He cannot make a base on
the right. ..................... Note: If White now plays correctly there
will not be enough space along the right side for Black to make even one eye
there. 
ENDCOM
W 26 o10
MARK \s@p11 \s@r11
COM
W26  A natural squeeze. It also helps with the defense of the two stone
white group marked `\s'. ..................... Note: This move puts pressure
on the two Black stones by taking  a point which would have been very useful
for Black. 
ENDCOM
B 27 q6
MARK A@p5 \t@o8 \t@q9
COM
B27  A useful forcing        move. It threatens to cut White's group at at
A.  It is a very effective Sente move against White. ......................
Note: This cooperates with Black's two marked stones above, and the threat
of a Black cut at `A' insures a White response. 
ENDCOM
W 28 r6
MARK A@p5 w@p6 \t@o8 \t@o8 \t@q9 \t@q6
COM
W28  White protects          the cutting point and gets more eye space along
the right side at the same time.   .   ....................... Note: Now
White can make two eyes along the right side, regardless of the unsettled
eye space in the corner.   (Because of W28 a Black stone at A could be
captured immediately by a White move at `w'.)         .         .      So
Black must find some other way to strengthen his nearly surrounded three
stones marked `\t'.     .          .    . 
ENDCOM
B 29 q7
MARK \t@q9 \t@o8 \t@q6 A@p5 a@p6 \s@o10 \s@p11 \s@r11
COM
B29  This helps all          three Black   stones, marked `\t',    by
increasing Black's available liberties and makes the cut at A an effective
threat again. ......................  Note:  This move also prevents what
could have been a painful cut by White at the B29 point. Playing at `A' or
`a' will defend against the cut at A and will help White keep the two Black
groups separated, but it would allow Black to separate the three White
stones, marked `\s'. 
ENDCOM
W 30 r8
MARK B@r9
COM
W30  This is a defensive move.   White hopes to connect his upper group with
the one below.  ......................  Note: W30 can still connect to the
upper group unless Black cuts him off at `B'.  Either way Black has no eye
space along the edge,  and White still has no full connection between his
groups. So White could become burdened with a separate no-base upper group
to defend.  ----------------------  Use -> for more detail.
---------------------- 
ENDCOM
  VAR
  DIAGRAM
  SETUP W r8
  MARK \s@o10 \s@p11 \s@r11 \t@p4 \t@q4 \t@r3 \t@s3 \t@r5 \t@r6
  MARK Y@p5 30@r8 \t@q9 \t@o8 \t@q7 \t@q6 \s@m3 \s@n4 \s@o4
  MARK \s@p3 \s@q3 \s@r2 ?@o5 X@s9 W@r6 W@r5 W@p4 W@q4 W@r3
  MARK W@s3 B@m3 B@n4 B@o4 B@p3 B@q3 B@r2
  COM
  The White group marked `W' can make two eyes when needed.  But he must
  play at `X' to solidly connect with  his group marked  `\s'.  Black must
  play at `Y' in order to assure that the `\t' group can connect with the
  `B' group below. The stone marked `?' probably could not survive after a
  Black move at `Y', so a connection can be achieved. It is Black's turn. He
  must choose. ----------------------- Use <- for back to game
  ----------------------- 
  ENDCOM
  ENDVAR

B 31 p5
MARK \t@o8 \t@q9 \t@q7 \t@q6
COM
B31 This cutting move       allows Black to connect his upper and lower
groups here. ...................... Note: This Black move  is "Gote" but it
assures that the marked Black group can connect to the lower Black group. It
is certainly worthwhile to give sente to White at this point. 
ENDCOM
W 32 s9
COM
W32                         White makes a solid connection between his upper
and lower groups. ......................  Note: This engagement has turned
out well for White, but it is better for Black since he now has strong
center influence. 
ENDCOM
B 33 c12
MARK A@d11 \t@c17 \t@d14
COM
B33  This is the             biggest move on  the board right now because
the left side  is wide open and White's formation is not strong yet.
........................Note: B33 squeezes the marked White corner group and
is sente, so he will have time to establish a left side base.  B33  is also
preempting a potential White move at or near `A'. That would have greatly
hampered Black's options along the left side. 
ENDCOM
W 34 c14
MARK \t@f16 \t@j16 c12
COM
W34  This move makes a complete base for White in the upper left corner and
it is necessary now ....................... Note: Without B34 White would be
vulnerable in the corner because of the near-by marked Black stones.  But
this move also attacks B33 so it is sente. 
ENDCOM
B 35 c9
MARK A@c10
COM
B35  This move makes a       base for Black,  and it is necessary.
...................... Note: Black now has a beginning for eye space along
the left side.   Without B35, a White stone at A would have been a big gain
for White and a severe attack on Black.     . 
ENDCOM
W 36 g3
MARK B@h3 A@h3
COM
W36 This appears to be  a slow move but in fact it is the right move  for
White now because Black's lower right group is already strong.
.................... Note: Extending any further, say at `A' or beyond,
would have invited a Black invasion supported by his lower right strength. A
pre- emptive Black move at `A', would have been a very severe set back for
White. 
ENDCOM
B 37 m16
MARK \t@f16 \t@j16 \t@p17 \t@r16 \t@r13 \s@p17 \s@r16 \s@r13 \t@p17
MARK \t@r16 \t@r13 g3
COM
B37  This is the biggest move on the board now. ...................... Note:
Its proximity to the upper right group makes the potential for Black
territory along the top VERY substantial   - -           - - Moves #36 and
#37 are `Miai' (pronounced `me-eye').  This is a  situation in which two
open moves are equal in value.  When one is taken, the opponent will usually
take the other. 
ENDCOM
W 38 c7
MARK \t@c12 \t@c9
COM
W38  This also seems like a slow move but   it squeezes Black's  left side
marked group and it strengthens White in the lower left corner. 
ENDCOM
B 39 j3
COM
B39 This is the last        big move on the board now. It ends the "Fuseki"
(foo sek ee). ..................... *Fuseki*: "The opening   phase of a game
of Go." 
ENDCOM
W 40 n7
MARK \t@p5 \t@q6 \t@q7 \t@q9 \t@o8 W@o5
COM
W40  This is called a        "reduction move". It aims to prevent Black from
obtaining excess- ive center influence.  .................... Note: If White
could keep his cutting stone `W' alive the separated Black group would be in
great trouble. Since he cannot do this, he hopes to use W40 to confine
Black's potential here. Hence the term `reduction'. 
ENDCOM
B 41 n8
MARK \t@o8 \t@q9 \t@q7 \t@q6 \s@n7 \s@o5
COM
B41  A big help to the       marked Black group. .......................
Note:  It separates the marked `\s' White stones from the White group above,
and it also is a big help to the marked `\t' Black group.  The two marked
White stones are in trouble.   .          .            .     (If White now
tries to save these two marked stones and Black re- sponds properly the two
White stones will be captured and Black will end up being immensely stronger
in the center.)      .           . 
ENDCOM
W 42 l7
MARK @o5 p5 q6 q7 q9 o8 n8 \t@n8 \t@o8 \t@q9 \t@q7 \t@q6
MARK \t@p5 \s@o5 \s@n7
COM
W42  White makes a light `running' move toward the center.
...................... Note: White hopes W42 may prove threatening  to Black
and thus help White to keep Black out of the center.  White's two marked
stones remain quite vulnerable.           .            .     *Running*: A
loose move usually aimed at helping a threatened group to reach toward the
center where there is far less danger of capture. 
ENDCOM
B 43 m8
MARK @o5 @n7 @l7 \s@l7 \s@n7 \s@o5
COM
B43  A key point. It         strengthens Black and weakens White.
.................... Note:  White needed    to be on this point before
Black. Now White's three stone group, marked `\s', is being squeezed badly
by Black.

ENDCOM
W 44 j4
MARK \t@g3 \t@l7 \s@l7 \s@g3 j3
COM
W44  The best play for       White now.  He is `leaning' on B39.
......................  Note: This will enable White to connect his two
marked `\s' stones.

ENDCOM
B 45 k4
MARK \t@j3 \t@o5 j4
COM
B45 This is the natural Black response.  It helps the marked `\t' stone,
which was weak.                      Note: Now White 44 is weak. It has only
two liberties, whereas the two Black stones it touches each have three.
Also, Black is still making sure that White does not find a way to rescue
the vital marked White cutting stone.

ENDCOM
W 46 j5
MARK \t@l7 A@h4 \s@l7 j4 k4
COM
W46  This move, or at A, are the natural defens- ive moves for White, but
W46 is best because it reaches toward the marked White stone above
....................  Note:  White 44 was threatened by B45. This White move
overcomes that problem by increas- ing his liberties there and it continues
his aim to eclose territory to the left of 44/46.

ENDCOM
B 47 h3
MARK \s@g3 \t@h3 \t@j3 47@h3
COM
B47 A good forcing move. It takes a liberty away from the single White
stone, marked `\s', and  increases the liberties of the Black twosome.
.................... Note: B47 is double Sente for Black and    it starts a
painful   invasion into what had appeared to be White's territiory. Now what
ever White does, Black will still have Sente. So he will continue reducing
White's pot- ential territory in the lower left.

ENDCOM
W 48 g4
MARK \t@g3 \s@g3
COM
W48  This is the only move for White now.   .....................  Note:
This move adds liberties to the marked White stone and also restrains Black
from pushing further into White's potential lower left territory .

ENDCOM
B 49 k5
MARK \t@l7 \t@n7 \t@o5 j4 j5
COM
B49  A double forcing        move by Black.  .......................  Note:
It takes away one White liberty from W44/46 and threatens to push on into
the center, cutting off the three marked white stones.

ENDCOM
W 50 k6
MARK \t@l7 W@o6 k5 \s@o5
COM
W50  The only proper         response to B49.  This move is Sente.
....................... Note:  This White move helps assure a con- nection
with the marked White stone above and blocks the Black thrust toward the
center. It is Sente because, if Black were to play elsewhere now White could
play at `W' and thus maintain the marked  cutting stone and that would keep
the eyeless upper Black group separated from the strong lower Black group.

ENDCOM
B 51 n5
MARK \t@m8 \t@n8 \t@o8 \t@q9 \t@q7 \t@q6 \t@p5 \s@o5
COM
B51  Now Black can           connect his upper  group, marked `\t', to the
lower Black group whenever he wishes.     .....................  Note: This
is a gote move but it is worth it now.  Thus Black will now be free to push
into the center from the upper Black group, marked `\t', with no need to
worry about making eyes there.

----------------------- Use -> for more detail. -----------------------

ENDCOM
  VAR
  DIAGRAM
  SETUP W o6
  MARK \t@p5 \t@q6 \t@q7 \t@q9 \t@o8 \t@n8 \t@m8 \s@o5 51@n5
  MARK W@o6
  COM
  Note:  Before B51 a White play at `W' would have saved the cut and thus
  kept the marked Black group isolated.    (But Black has kept White busy
  and he has had no opportunity to make this key move.)             . .
  ----------------------- Use <- for back to main -----------------------
  or, -> for more detail. ----------------------- 
  ENDCOM
  ENDVAR

  VAR
  DIAGRAM
  SETUP B n5
  MARK 51@n5 \s@o5 \t@n7 W@o6 B@m7
  COM
  The stone at `\s' was played there to separate the eyeless upper Black
  group from the lower group. Now it's useless.      .          .      If
  White plays at `W', then Black at `B' all 3 white stones are dead. So,
  after B51, White should recognize that  he cannot now save his cutting
  stone at `\s'.   He has Sente and will play elsewhere.
  
  ----------------------- Use <- for back to main ----------------------- 
  ENDCOM
  ENDVAR

W 52 e8
MARK \t@c14 \t@d14 \t@c9 \t@c12 \s@c14 \s@d14
COM
W52  This move develops     the center area and also squeezes the left side
Black group.  .....................  Note:  The White two stone `post',
marked `\s', combined with W52, will make it difficult for Black to build a
secure base.

ENDCOM
B 53 b13
MARK \t@c9 \t@c12
COM
B53  Black makes a           defensive move to increase his potential eye
space here. ...................... Note: This Black form- ation still has a
weak- ness and so he can not be sure about the necessary two eyes here.
Because of this White will continue to squeeze Black.  White aims to
strengthen his structure in the process and thus to increase his center area
potential terrotory    .       .        . 
ENDCOM
W 54 b14
MARK \t@c12 \t@c9
COM
W54  White takes a key       point away from Black and strengthens White's
corner form- ation.  This move is Sente. .......................  Note:
Black's base does not yet have secure eye space. See explanation on the
following screen. 
ENDCOM
B 55 e12
MARK 54@b14
COM
B55  Helps confine           White's upper-left corner group and reaches out
toward the center.  ....................... Note: White has loosely enclosed
a very large potential territory in the lower left quadrant. Black aims to
reduce this as much as he can.

However, if Black can not make another eye in the center he must make sure
of two eyes within his  rather loose left side base.

ENDCOM
W 56 f14
COM
W56  Separates the two       Black groups.      .................... Note:
White is also aiming to improve his opportunities to reduce Black's
potentially large territory in the top center of the board. 
ENDCOM
B 57 d17
MARK B@c18
COM
B57  This is a clever    forcing move.  It attaches to a strong White shape
in a way that is Sente.   ....................... Note: All this fighting is
very close to the wire.  If Black were  able to play at `B'   now White
would be     in serious trouble!     (Because White would have only enough
space for one eye). 
ENDCOM
W 58 d16
MARK \t@c17 \s@c17
COM
W58  White must protect  his corner and this is a proper answer since
White's stone, marked `\s', was weak. ....................... Note: White
must remain secure in the corner but also it is urgent that he find a way to
reduce Black's large potential territory along the top. 
ENDCOM
B 59 c18
MARK B@e17
COM
B59  This is a special       situation.  Black moves to squeeze White in the
corner.  But Black still must aim   to block White pene- tration into his
loose framework at the top.   ..................... Note: Normally Black
would play at `B' to solidly defend his  upper side enclosure, but what he
is doing  here may help Black's final score.  (Black gambles on his ability
to correctly read out the outcome in this complicated situation.) 
ENDCOM
W 60 e17
MARK c18 d17
COM
W60  This is the only move that can separate Black 57-59 from  the large
Black group  at the top. This White move is Sente. .......................
Note: Black must answer or he will lose the whole corner.  Otherwise White
can simply capture Black 57 now in atari and thus retain the whole corner. 
ENDCOM
B 61 d18
COM
B61  Black connects and obtains four liberties for his three stone group. 
ENDCOM
W 62 e16
MARK e17
COM
W62  White connects, to      save W60.  ......................  Note: White
is prepared to give up the corner to Black in exchange for penetration into
Black's large territory at the top-center. 
ENDCOM
B 63 e18
MARK A@c16 d17 d18 c18 \t@c18 \t@d18 \t@d17
COM
B63  The natural move, since Blacks three stones, marked `\t', needed more
eye space.  ....................... Note:  Black can make two eyes in the
corner at any time as long as White leaves the cutting point at `A' open.

ENDCOM
W 64 f17
COM
W64  White continues his push into Black's open formation at the top.
..................... Note: This thrust threatens to keep the two Black
groups at the top separated, and thus helps to reduce Black's potential
territory.

ENDCOM
B 65 c16
MARK \s@c17
COM
B65  Atari.  Black can now capture the marked White stone and make  two eyes
in the upper left corner whenever he wishes. ......................  Note:
The marked White stone cant be saved by playing at b17 because Black would
play at b16.

ENDCOM
W 66 q17
COM
W66 This is a "probe"       by White. He is asking for a Black reply so he
can determine how best to go further once Black commits himself.
......................  Note: This is sente, a threat to make life in the
corner.  White is seeking a way to reduce Black's upper right corner.  As
long as he can find sente moves here he runs no risk that Black will go back
and stop White's push into Black's potential territory at the top.

ENDCOM
B 67 q18
MARK q17
COM
B67  This is the correct     answer. Black needs to protect the corner area
even more than to stop White's push into the top center area.
..................... Note: White does not need to respond to this move
since the only purpose of W66 was to ask for a response. This stone can be
abandoned when Black responds.    However a probe move must always be Sente.
The opponent must not be free to move where ever he likes.

ENDCOM
W 68 p18
COM
W68  Another `asking'        move or `probe'.   .......................
Note: White makes things more complicated and thereby hopes to create
opportunities to reduce this large Black corner area.

ENDCOM
B 69 o18
MARK p18 \t@q18
COM
B69  This is the proper      answer. Black takes away one White liberty and
puts White in atari. ......................  Note: If Black were to  ignore
W68 White could  play at r18 and capture the marked stone, thus having a
good chance to make life in the corner.

ENDCOM
W 70 d10
MARK c10 \t@b13 \t@c12 \t@c9 \t@e12
COM
W70  This is an attack   move which threatens Black's eye space and hence
requires a Black response. ...................... Note: This Black group,
marked `\t', is squeezed from both sides. White's W70 threatens to invade
Black's eye-space.

Since Black cannot be sure of a second eye in the center, Black must now
make his left side group into a viable two-eye structure.

ENDCOM
B 71 c10
MARK \t@c9 \t@c9 \t@e12 \t@c12 \t@b13
COM
B71  Assures connection      with the Black stones above and it improves the
prospect  of creating two eyes along the left side.

ENDCOM
W 72 d11
COM
W72  White takes the key     point of Black's        eye shape.
....................... Note: Black would love to have gotten to the d11
point before White. That would have solved his weakness,  i.e: As things
stand, if White attacks before Black defends, White can squeeze Black's base
down to only one eye.

ENDCOM
B 73 d12
COM
B73 A "must" move. It       assures that Blacks' stones will stay con-
nected and allows him  to push on into the center. ......................
Note: Otherwise White would cut at d12, secure a large center area,  and
threaten to kill Black's left side group.

ENDCOM
W 74 f11
MARK d10 d11
COM
W74  Cooperates with 70      and 72.  White is aiming to secure a large area
in the lower left center.

ENDCOM
B 75 f12
MARK f11
COM
B75  Black keeps push-       ing into the center     with sente moves.
....................  Note: B75 is sente because W74 has been weakened by
the contact of B75.

ENDCOM
W 76 g11
MARK f11 W@g12 B@e11
COM
W76  A natural move.         It adds liberties to  W74 and protects against
a Black cut at `B'. ......................  Note:  W76 strengthens  White's
shape and improves his prospects for enclosing sizeable center territory
below. It also threatens to cut off Black's thrust into the center by
playing at `W'.

ENDCOM
B 77 g12
MARK W@b17 \s@c17 w@b17 b@b16
COM
B77  Black continues to      push out into the center area.  B77 also
threatens to  cut off the upper left White group. .....................
Note: White must now secure his upper left group.  It does not yet have
space for two eyes.

(The marked White stone cannot be rescued.  A White move at `w' would simply
be followed by Black at `b' etc.)

ENDCOM
W 78 h16
MARK B@h14
COM
W78  White assures eye       space for his top left side group.  This helps
him to reduce Black's top center area. ..................... Note: White is
endeav- oring to keep sente. Without W78, or a nearby point, White's upper
left group could come under severe attack, at `B' for instance.

ENDCOM
B 79 h11
COM
B79 This is an urgent       point for Black.    It helps him push into
White's potential ter- ritory in the center.

ENDCOM
W 80 g9
MARK A@e11 \t@f11 \t@g11 \s@f11 \s@g11
COM
W80  This is a normal        defensive move. It is needed because of White's
cutting point problems. .................... Note: Without W80 a black stone
at `A'      would allow a Black     penetration into the center area because
the two marked White stones would be reduced to only two liberties and hence
vulnerable.  W80 also makes White's lower center area much more secure.

ENDCOM
B 81 h15
MARK \t@j16
COM
B81 Nice squeeze move. It helps the marked     Black stone and the whole
upper Black group. ..................... Note: This also puts pressure on
White's not-too-secure upper left group.

ENDCOM
W 82 j17
COM
W82  Aims to gain eye        space along the top for White'e vulnerable
group, and threatens to further reduce Black's upper potential terri- tory
at the same time.

ENDCOM
B 83 h17
MARK \s@h16 j17
COM
B83 This is a severe and necessary cut.  White #82 was a serious threat to
push into Black's large potential territory at the top.
..................... Note: This attack on the marked `\s' White will allow
Black to make the rest of his top center territory secure.

ENDCOM
W 84 g16
MARK \t@f16 h16
COM
W84  The only move. It saves W78 and assures   two eyes for the upper  left
White group. ......................  Note: The marked Black stone cannot now
escape. White will have several aggressive options, depending on Black's
next move.

ENDCOM
B 85 g17
MARK \t@c18 \t@d18 \t@e18 \t@d17 \s@g16 \s@h16 B@f18
COM
B85  A forcing move.  It     puts the two marked White stones in atari.
.....................   Note: White needs to save the two marked `\s' stones
so that he can secure two eyes and continue his effort to reduce Black's top
enclosure.  However, in saving these two stones White allows Black to
connect his four stone group, marked `\t', by playing at `B'.

ENDCOM
W 86 g15
MARK \t@h15 \t@j16
COM
W86  This is the correct     move.  It makes needed eye space and threatens
both Black stones marked `\t'.

ENDCOM
B 87 g14
MARK \t@f16
COM
B87  Good forcing move.      It is Atari, also Sente.  White can not ignore
this atari. .....................   Note: Black has made good use of this
sac- rifice stone, marked `\t'.  He was able to play several forcing moves
because of its presence there.           (This was move #15      in the
opening.)

ENDCOM
W 88 f15
PRISONER f16
MARK @f16
COM
W88  The only move.          White captures the      Black stone at `\t'.

ENDCOM
B 89 f18
MARK \t@g17 \t@h17
COM
B89 This is a must move.    It saves the two        marked Black stones.

ENDCOM
W 90 j15
MARK \t@h15 \t@j16 B@k16
COM
W90  A severe double         atari.  It should enable White to push on into
the center.

ENDCOM
B 91 k16
MARK A@h14 B@h14
COM
B91  The correct choice.     This move is more valuable than Black at `B'
would have been.   ....................... Note: This is the more important
move because it divides White into three separate groups and secures Black's
large territory along the top.

ENDCOM
W 92 h14
PRISONER h15
MARK W@b8
COM
W92  The only move.          Otherwise White's thrust into the center would
get cut off. ....................... Note: W92 also continues White's
pressure on the left side Black group which still does not have assured two
eyes.  (A White move at `W' remains a big sente threat to Black.)

ENDCOM
B 93 j12
MARK B@h12 h14 \t@g14
COM
B93  Black's best move       to defend the cutting point at `B'.
.....................   Note: The marked `\t' Black stone is in atari but
Black must ensure a continued thrust into the center in order to reduce
White's large potential territory there.  So Black must protect the cutting
point at `B'. This move is more effective than just at `B' because it
provides more options for Black.

ENDCOM
W 94 j10
MARK \t@b13 \t@c12 \t@c10 \t@c9 \t@d12 \t@e12 \t@f12 \t@g12 \t@g14
MARK \t@h11 \t@j12
COM
W94  A nice move. It         develops White's strength in the center  and it
threatens Black's left side group, which is marked `\t'.

ENDCOM
B 95 b8
COM
B95 Secures Black's left    side eye space and gains valuable territory for
Black. ....................... For some time the left side Black group has
appeared to be killable but Black has kept sente and not given White a
chance to attack.

Let's look now at the weakness in Black's left side group.

------------------------Use -> for explanation  ------------------------ 
ENDCOM
  VAR
  DIAGRAM
  SETUP W h10 W a14
  MARK 1@a14
  SETUP B a13
  MARK 2@a13 2@b11
  SETUP W b11
  MARK 3@b11
  SETUP B c11
  MARK 4@c11
  SETUP W b12
  MARK 5@b12
  SETUP B c13
  MARK 6@c13
  SETUP W b10
  MARK 7@b10
  SETUP B b9
  MARK 8@b9
  SETUP W b8
  MARK 9@b8
  COM
  Prior to Black at b8 White could have reduced Black's base area to a
  single eye.  White could start with a move at `1'.  Black must respond at
  `2' to keep White from pushing into Black eye space.  Black must answer
  again at White `3', etc. etc. until White at `9' clearly leaves no way for
  Black to make two eyes here. (Unmarked stones were in place when Black
  made his b8 move.) ------------------------Use <- for back to main
  ------------------------ 
  ENDCOM
  ENDVAR

W 96 p16
MARK \t@p17
COM
W96  White goes back to      the corner probes again.  This is also a Sente
move. It threatens to capture the marked Black stone. .....................
Note: White is still probing.  He is seeking to find a way to reduce what
seems likely to be very large territory for Black in this corner.

ENDCOM
B 97 o17
MARK \t@p17 \t@o18
COM
B97  Black blocks a          capture and creates a multi liberty group.
......................  Note: This Black move protects his top-center
territory.  Also, Black must not allow White to get established in this
corner.

ENDCOM
W 98 r18
COM
W98  White takes away        one Black liberty and makes an atari.  This
move is sente,  because White threat- ens to make life, (two eyes), in the
upper right corner.

ENDCOM
B 99 q16
MARK \t@r13
COM
B99  An aggressive move      which threatens to capture all the White stones
in the corner. ....................... Note: This move assures a solid
connection with the lone marked Black stone below and thus assures Black
territory on the upper right side.

ENDCOM
W 100 q19
PRISONER q18
COM
W100  Takes one Black         stone off the     board and again White
threatens to make life in the corner.

ENDCOM
B 101 s17
MARK s18 s18 s18 s18 A@s18 B@r17
COM
B101  This is the key spot to reduce the White shape and make the White
shape killable.  ....................... Note: If White now plays at `A'
Black will play at `B', or vice-versa. Thus White now has no possible way to
make life in this corner.

But note that White   still has sente.  (He has lost nothing with all these
corner moves because each one was a serious threat and Black answered each
White move there.)

ENDCOM
W 102 p15
MARK \s@q17 \s@r18 \s@q19 \s@p18
COM
W102  Increases the liberties of the White cutting stone and thus separates
the two Black groups.                 ...................... Note: The White
group, marked `\s',  in the upper right corner is dead, but White may have
succeeded in reducing Black's potential along the upper right side.

ENDCOM
B 103 l14
MARK \t@p16 \t@p15
COM
B103  Black jumps out to contain the upper left White group and threat- ens
to cut off the two marked White stones.

ENDCOM
W 104 n15
MARK \t@p15 \t@p16 \s@p16 \s@p15
COM
W104  Helps the marked White stones to connect with the White group below.

ENDCOM
B 105 r17
COM
B105  This is a "thick"       move which kills the White group for sure. (No
more prospect for White to live in this corner.) .......................
*`Thick'*: A clear sure  move that kills with-  out question, no remain- ing
eye space and no meaningful cutting points thereafter.

ENDCOM
W 106 q14
MARK \t@r13 \t@n15 \t@p15 \t@p16 \s@p16 \s@p15 \s@n15
COM
W106  A forcing move     which helps the three marked White stones and
assures a connection with the White group below.  It is Sente.
...................... Note: B106  threatens  to cut off the marked Black
stone from the group above.

ENDCOM
B 107 r14
MARK \t@r13
COM
B107  Black connects to       assure upper right territory and save the
marked \t stone.

ENDCOM
W 108 l5
MARK \t@k5 \t@k4
COM
W108  Another Sente           move.          ...................... Note:
This move reduces Black's potential ter-  ritory and threatens to atari the
two marked    black stones.  So Black is obliged to reply.

This move begins the "Endgame".  Invasions, large territory posibil- ities,
cutting attacks, etc. are all in the past.  Every seemingly dead group can
connect to one that is alive.

ENDCOM
B 109 l4
MARK A@k3
COM
B109  This move is necessary.  Black was short of liberties here and needed
to protect the cutting point at A.

ENDCOM
W 110 b7
COM
W110 The best end-game move on the board.  ................... Note: Without
#110  Black could slide down into White's lower left corner.

ENDCOM
B 111 g2
COM
B111  The biggest end-  game move which now remains on the board.
..................... Note: White must now   respond or Black will   keep
pushing on into    White's lower left      corner area.

ENDCOM
W 112 f2
COM
W112  White blocks            Black's threat     to push into White's corner
territory.

ENDCOM
B 113 h2
COM
B113  Black connects.    ..................... Note: Black is well ahead in
territory at this point. A strong player would be quite aware of this by now
and he would resign. Black's territory at  the top, bottom, and  sides is
about:   -= 70 White's territory,     lower left, center    and on the
right: -= 50 (The center is just an open area and there is no meaningful
territory to be had there.)

ENDCOM
